<?php
session_start();
    header('Access-Control-Allow-Origin:*');
    header('Content-Type; application/json; charset=utf-8');
    header('Access-control-Allow-Method: POST');
    header('Access-control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-request-With');
    include('db.php');
        $inputdata = json_decode(file_get_contents("php://input"), true);
        
        $id = $inputdata['id'];
        
        $pub=$db->prepare('SELECT comission_parrainnage.*, user.nom, user.pre FROM comission_parrainnage, user WHERE comission_parrainnage.filleul=user.id AND comission_parrainnage.beneficiaire=?');
        $pub->execute(array($id));
        $image = $pub->fetchAll();    
        echo(json_encode(['data' => $image]));